package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Eaf;
import com.brilliance.isc.vo.report.ReportEafV0;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface EafMapper {

    int insert(Eaf record);

    int insertSelective(Eaf record);

    int updateByPrimaryKeySelective(Eaf record);

    int updateByPrimaryKey(Eaf record);

    int deleteByPrimaryKey(Eaf record);

    int deleteByIds(Collection<Object> collection);

    Eaf selectByPrimaryKey(Eaf record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Eaf> dyncRead(Map<String,Object> dyncMap);

    /**
     * 通过 eblinr  查询 ead 表
     * @param eblinr
     * @return
     */
    Eaf selectByEblinr(@Param("eblinr") String eblinr);

    /**
     * 通过INR 查询数据
     * @param inr
     * @return
     */
    Eaf selectByInr(@Param("inr") String inr);

    /**
     * 通过外债编号更新状态
     * @param exdebtcode
     * @param sta
     * @return
     */
    int updateStaByRptno(@Param("exdebtcode") String exdebtcode,@Param("sta") String sta);

    /**
     * 远期信用证签约数据余额报表
     */
    List<ReportEafV0> reportEaf(@Param("toMonth") String toMonth);
}